/* Module:util_signature.c
 * Purpose:
 *	contains miscellaneous utility routines 
 */

#include <cstdio>
#include <cmath>
#include "espresso.h"
#include "signature.h"
#include <ctime>

/* s_totals : add time spent in the function and update call count */
void
s_totals(long int time, int i)
{
    time = ptime() - time;
    total_time[i] += time;
    total_calls[i]++;
}
